classification
Title: PyArg_Parse* should deprecate 'u' and 'z' family.
Type: Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, inada.naoki, miss-islington, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-04-01 05:26 by inada.naoki, last changed 2018-04-05 09:08 by inada.naoki. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6329 merged inada.naoki, 2018-04-01 05:28
PR 6369 merged miss-islington, 2018-04-04 05:00
PR 6382 merged inada.naoki, 2018-04-05 07:49
Messages (6)
msg314761 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2018-04-01 05:26
https://docs.python.org/3/c-api/arg.html

Py_UNICODE usage is not deprecated in this document.
Before thinking about raising warning, deprecate it in document first.

But... from when?  Can I backport the "deprecated" doc to 3.6 or 3.5?
msg314765 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-04-01 07:18
See also issue24009. We should get rid of using these units in the stdlib.

I'm not sure about deprecating Py_BuildValue() units right now. They can be redefined in terms of wchar_t, and they are already implemented with PyUnicode_FromWideChar().
msg314865 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2018-04-03 08:23
OK, I replaced Py_UNICODE with wchar_t in Py_BuildValue document.
msg314919 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2018-04-04 04:59
New changeset 42ec190761a2e8503aaa06f0bfaaabe98749179b by INADA Naoki in branch 'master':
bpo-33195: Doc: Deprecate Py_UNICODE in c-api/arg (GH-6329)
https://github.com/python/cpython/commit/42ec190761a2e8503aaa06f0bfaaabe98749179b
msg314921 - (view) Author: miss-islington (miss-islington) Date: 2018-04-04 05:13
New changeset b8fc2d658094941250116a48577f54d1f6300362 by Miss Islington (bot) in branch '3.7':
bpo-33195: Doc: Deprecate Py_UNICODE in c-api/arg (GH-6329)
https://github.com/python/cpython/commit/b8fc2d658094941250116a48577f54d1f6300362
msg314971 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2018-04-05 09:08
New changeset 29bc6f6347b1e05b22180fd296013bb2a104d589 by INADA Naoki in branch '3.6':
bpo-33195: Doc: Deprecate Py_UNICODE in c-api/arg (GH-6329)
https://github.com/python/cpython/commit/29bc6f6347b1e05b22180fd296013bb2a104d589
History
Date User Action Args
2018-04-05 09:08:51inada.naokisetmessages: + msg314971
2018-04-05 07:49:41inada.naokisetpull_requests: + pull_request6092
2018-04-04 08:43:07inada.naokisetstatus: open -> closed
stage: patch review -> resolved
2018-04-04 08:42:48inada.naokisetresolution: fixed
2018-04-04 05:13:40miss-islingtonsetnosy: + miss-islington
messages: + msg314921
2018-04-04 05:00:19miss-islingtonsetpull_requests: + pull_request6080
2018-04-04 04:59:10inada.naokisetmessages: + msg314919
2018-04-03 08:23:52inada.naokisetmessages: + msg314865
2018-04-01 07:18:19serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg314765
2018-04-01 05:28:24inada.naokisetkeywords: + patch
stage: patch review
pull_requests: + pull_request6042
2018-04-01 05:26:13inada.naokicreate